; ===============================================
; Name:      fhcrt.dll
;
; Author:    Fallenhobbit
;
; Date:      01/06/05
;
; Purpose:   This is a macro library that calls the 
; _cdecl functions in msvcrt.dll and does the stack 
; cleanup for said _cdecl calls.
; ================================================  

include msvcrt.inc  
includelib msvcrt.lib

m_assert MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _assert
  pop ebx
  pop ebx
ENDM

m_atodbl MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _atodbl
  pop ebx
  pop ebx
ENDM

m_atoi64 MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _atoi64
  pop ebx
  pop ebx
ENDM

m_atoldbl MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _atoldbl
  pop ebx
  pop ebx
ENDM

m_beginthread MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _beginthread
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_beginthreadex MACRO dword0:REQ, dword1:REQ, dword2:REQ, dword3:REQ, dword4:REQ
  push ebx
  mov ebx,dword4
  push ebx
  mov ebx,dword3
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _beginthreadex
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_cexit MACRO
  call _cexit
ENDM

m_cgets MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _cgets
  pop ebx
  pop ebx
ENDM

m_chdir MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _chdir
  pop ebx
  pop ebx
ENDM

m_chdrive MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _chdrive
  pop ebx
  pop ebx
ENDM

m_chgsign MACRO qword0:REQ
  push ebx
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call _chgsign
  pop ebx
  pop ebx
  pop ebx
ENDM

m_chmod MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _chmod
  pop ebx
  pop ebx
  pop ebx
ENDM

m_chsize MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _chsize
  pop ebx
  pop ebx
  pop ebx
ENDM

m_close MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _close
  pop ebx
  pop ebx
ENDM

m_commit MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _commit
  pop ebx
  pop ebx
ENDM

m_copysign MACRO qword0:REQ, qword1:REQ
  push ebx
  lea ebx,qword1
  push [ebx+4]
  push [ebx]
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call _copysign
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_cputs MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _cputs
  pop ebx
  pop ebx
ENDM

m_creat MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _creat
  pop ebx
  pop ebx
  pop ebx
ENDM

m_cwait MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _cwait
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_dup MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _dup
  pop ebx
  pop ebx
ENDM

m_dup2 MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _dup2
  pop ebx
  pop ebx
  pop ebx
ENDM

m_ecvt MACRO qword0:REQ, dword1:REQ, dword2:REQ, dword3:REQ
  push ebx
  mov ebx,dword3
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call _ecvt
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_endthread MACRO
  call _endthread
ENDM

m_endthreadex MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _endthreadex
  pop ebx
  pop ebx
ENDM

m_exit MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _exit
  pop ebx
  pop ebx
ENDM

m_expand MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _expand
  pop ebx
  pop ebx
  pop ebx
ENDM

m_fcloseall MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _fcloseall
  pop ebx
  pop ebx
ENDM

m_fcvt MACRO dword0:REQ, dword1:REQ, dword2:REQ, dword3:REQ
  push ebx
  mov ebx,dword3
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _fcvt
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_fdopen MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _fdopen
  pop ebx
  pop ebx
  pop ebx
ENDM

m_fgetchar MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _fgetchar
  pop ebx
  pop ebx
ENDM

m_fgetwchar MACRO
  push ebx
  call _fgetwchar
  pop ebx
ENDM

m_filelength MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _filelength
  pop ebx
  pop ebx
ENDM

m_filelengthi64 MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _filelengthi64
  pop ebx
  pop ebx
ENDM

m_fileno MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _fileno
  pop ebx
  pop ebx
ENDM

m_findclose MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _findclose
  pop ebx
  pop ebx
ENDM

m_findfirst MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _findfirst
  pop ebx
  pop ebx
  pop ebx
ENDM

m_findfirsti64 MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _findfirsti64
  pop ebx
  pop ebx
  pop ebx
ENDM

m_findnext MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _findnext
  pop ebx
  pop ebx
  pop ebx
ENDM

m_findnexti64 MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _findnexti64
  pop ebx
  pop ebx
  pop ebx
ENDM

m_finite MACRO qword0:REQ
  push ebx
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call _finite
  pop ebx
  pop ebx
  pop ebx
ENDM

m_flushall MACRO
  call _flushall
ENDM

m_fpclass MACRO qword0:REQ
  push ebx
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call _fpclass
  pop ebx
  pop ebx
  pop ebx
ENDM

m_fpreset MACRO
  call _fpreset
ENDM

m_fputchar MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _fputchar
  pop ebx
  pop ebx
ENDM

m_fputwchar MACRO word0:REQ
  push ebx
  mov bx,word0
  push bx
  call _fputwchar
  pop bx
  pop ebx
ENDM

m_fsopen MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _fsopen
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_fstat MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _fstat
  pop ebx
  pop ebx
  pop ebx
ENDM

m_fstati64 MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _fstati64
  pop ebx
  pop ebx
  pop ebx
ENDM

m_ftime MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _ftime
  pop ebx
  pop ebx
ENDM

m_fullpath MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _fullpath
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_futime MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _futime
  pop ebx
  pop ebx
  pop ebx
ENDM

m_gcvt MACRO qword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call _gcvt
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_get_osfhandle MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _get_osfhandle
  pop ebx
  pop ebx
ENDM

m_get_sbh_threshold MACRO
  call _get_sbh_threshold
ENDM

m_getch MACRO
  call _getch
ENDM

m_getche MACRO
  call _getche
ENDM

m_getcwd MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _getcwd
  pop ebx
  pop ebx
  pop ebx
ENDM

m_getdcwd MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _getdcwd
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_getdrive MACRO
  call _getdrive
ENDM

m_getmbcp MACRO
  call _getmbcp
ENDM

m_getpid MACRO
  call _getpid
ENDM

m_getw MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _getw
  pop ebx
  pop ebx
ENDM

m_getws MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _getws
  pop ebx
  pop ebx
ENDM

m_heapadd MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _heapadd
  pop ebx
  pop ebx
  pop ebx
ENDM

m_heapchk MACRO
  call _heapchk
ENDM

m_heapmin MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _heapmin
  pop ebx
  pop ebx
ENDM

m_heapset MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _heapset
  pop ebx
  pop ebx
ENDM

m_heapwalk MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _heapwalk
  pop ebx
  pop ebx
ENDM

m_hypot MACRO qword0:REQ, qword1:REQ
  push ebx
  lea ebx,qword1
  push [ebx+4]
  push [ebx]
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call _hypot
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_i64toa MACRO qword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call _i64toa
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_i64tow MACRO qword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call _i64tow
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_isatty MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _isatty
  pop ebx
  pop ebx
ENDM

m_ismbbalnum MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _ismbbalnum
  pop ebx
  pop ebx
ENDM

m_ismbbalpha MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _ismbbalpha
  pop ebx
  pop ebx
ENDM

m_ismbbgraph MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _ismbbgraph
  pop ebx
  pop ebx
ENDM

m_ismbbkalnum MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _ismbbkalnum
  pop ebx
  pop ebx
ENDM

m_ismbbkana MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _ismbbkana
  pop ebx
  pop ebx
ENDM

m_ismbbkprint MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _ismbbkprint
  pop ebx
  pop ebx
ENDM

m_ismbbkpunct MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _ismbbkpunct
  pop ebx
  pop ebx
ENDM

m_ismbblead MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _ismbblead
  pop ebx
  pop ebx
ENDM

m_ismbbprint MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _ismbbprint
  pop ebx
  pop ebx
ENDM

m_ismbbpunct MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _ismbbpunct
  pop ebx
  pop ebx
ENDM

m_ismbbtrail MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _ismbbtrail
  pop ebx
  pop ebx
ENDM

m_ismbcalnum MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _ismbcalnum
  pop ebx
  pop ebx
ENDM

m_ismbcalpha MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _ismbcalpha
  pop ebx
  pop ebx
ENDM

m_ismbcdigit MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _ismbcdigit
  pop ebx
  pop ebx
ENDM

m_ismbcgraph MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _ismbcgraph
  pop ebx
  pop ebx
ENDM

m_ismbchira MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _ismbchira
  pop ebx
  pop ebx
ENDM

m_ismbckata MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _ismbckata
  pop ebx
  pop ebx
ENDM

m_ismbcl0 MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _ismbcl0
  pop ebx
  pop ebx
ENDM

m_ismbcl1 MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _ismbcl1
  pop ebx
  pop ebx
ENDM

m_ismbcl2 MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _ismbcl2
  pop ebx
  pop ebx
ENDM

m_ismbclegal MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _ismbclegal
  pop ebx
  pop ebx
ENDM

m_ismbclower MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _ismbclower
  pop ebx
  pop ebx
ENDM

m_ismbcprint MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _ismbcprint
  pop ebx
  pop ebx
ENDM

m_ismbcpunct MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _ismbcpunct
  pop ebx
  pop ebx
ENDM

m_ismbcspace MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _ismbcspace
  pop ebx
  pop ebx
ENDM

m_ismbcsymbol MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _ismbcsymbol
  pop ebx
  pop ebx
ENDM

m_ismbcupper MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _ismbcupper
  pop ebx
  pop ebx
ENDM

m_ismbslead MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _ismbslead
  pop ebx
  pop ebx
  pop ebx
ENDM

m_ismbstrail MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _ismbstrail
  pop ebx
  pop ebx
  pop ebx
ENDM

m_isnan MACRO qword0:REQ
  push ebx
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call _isnan
  pop ebx
  pop ebx
  pop ebx
ENDM

m_itoa MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _itoa
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_itow MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _itow
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_kbhit MACRO
  call _kbhit
ENDM

m_locking MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _locking
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_logb MACRO qword0:REQ
  push ebx
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call _logb
  pop ebx
  pop ebx
  pop ebx
ENDM

m_lrotl MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _lrotl
  pop ebx
  pop ebx
  pop ebx
ENDM

m_lrotr MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _lrotr
  pop ebx
  pop ebx
  pop ebx
ENDM

m_lsearch MACRO dword0:REQ, dword1:REQ, dword2:REQ, dword3:REQ, dword4:REQ
  push ebx
  mov ebx,dword4
  push ebx
  mov ebx,dword3
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _lsearch
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_lseek MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _lseek
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_lseeki64 MACRO dword0:REQ, qword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  lea ebx,qword1
  push [ebx+4]
  push [ebx]
  mov ebx,dword0
  push ebx
  call _lseeki64
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_ltoa MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _ltoa
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_ltow MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _ltow
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_makepath MACRO dword0:REQ, dword1:REQ, dword2:REQ, dword3:REQ, dword4:REQ
  push ebx
  mov ebx,dword4
  push ebx
  mov ebx,dword3
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _makepath
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbbtombc MACRO word0:REQ
  push ebx
  mov bx,word0
  push bx
  call _mbbtombc
  pop bx
  pop ebx
ENDM

m_mbbtype MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbbtype
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbccpy MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbccpy
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbcjistojms MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _mbcjistojms
  pop ebx
  pop ebx
ENDM

m_mbcjmstojis MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _mbcjmstojis
  pop ebx
  pop ebx
ENDM

m_mbclen MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _mbclen
  pop ebx
  pop ebx
ENDM

m_mbctohira MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _mbctohira
  pop ebx
  pop ebx
ENDM

m_mbctokata MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _mbctokata
  pop ebx
  pop ebx
ENDM

m_mbctolower MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _mbctolower
  pop ebx
  pop ebx
ENDM

m_mbctombb MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _mbctombb
  pop ebx
  pop ebx
ENDM

m_mbctoupper MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _mbctoupper
  pop ebx
  pop ebx
ENDM

m_mbsbtype MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbsbtype
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbscat MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbscat
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbschr MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbschr
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbscmp MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbscmp
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbscoll MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbscoll
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbscpy MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbscpy
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbscspn MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbscspn
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbsdec MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbsdec
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbsdup MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _mbsdup
  pop ebx
  pop ebx
ENDM

m_mbsicmp MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbsicmp
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbsicoll MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbsicoll
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbsinc MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _mbsinc
  pop ebx
  pop ebx
ENDM

m_mbslen MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _mbslen
  pop ebx
  pop ebx
ENDM

m_mbslwr MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _mbslwr
  pop ebx
  pop ebx
ENDM

m_mbsnbcat MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbsnbcat
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbsnbcmp MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbsnbcmp
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbsnbcnt MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbsnbcnt
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbsnbcoll MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbsnbcoll
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbsnbcpy MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbsnbcpy
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbsnbicmp MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbsnbicmp
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbsnbicoll MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbsnbicoll
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbsnbset MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbsnbset
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbsncat MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbsncat
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbsnccnt MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbsnccnt
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbsncmp MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbsncmp
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbsncoll MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbsncoll
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbsncpy MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbsncpy
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbsnextc MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _mbsnextc
  pop ebx
  pop ebx
ENDM

m_mbsnicmp MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbsnicmp
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbsnicoll MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbsnicoll
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbsninc MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbsninc
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbsnset MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbsnset
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbspbrk MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbspbrk
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbsrchr MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbsrchr
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbsrev MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _mbsrev
  pop ebx
  pop ebx
ENDM

m_mbsset MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbsset
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbsspn MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbsspn
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbsspnp MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbsspnp
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbsstr MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbsstr
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbstok MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _mbstok
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mbstrlen MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _mbstrlen
  pop ebx
  pop ebx
ENDM

m_mbsupr MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _mbsupr
  pop ebx
  pop ebx
ENDM

m_memccpy MACRO dword0:REQ, dword1:REQ, dword2:REQ, dword3:REQ
  push ebx
  mov ebx,dword3
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _memccpy
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_memicmp MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _memicmp
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_mkdir MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _mkdir
  pop ebx
  pop ebx
ENDM

m_mktemp MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _mktemp
  pop ebx
  pop ebx
ENDM

m_msize MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _msize
  pop ebx
  pop ebx
ENDM

m_nextafter MACRO qword0:REQ, qword1:REQ
  push ebx
  lea ebx,qword1
  push [ebx+4]
  push [ebx]
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call _nextafter
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_onexit MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _onexit
  pop ebx
  pop ebx
ENDM

m_open MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _open
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_open_osfhandle MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _open_osfhandle
  pop ebx
  pop ebx
  pop ebx
ENDM

m_pclose MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _pclose
  pop ebx
  pop ebx
ENDM

m_pctype MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _pctype
  pop ebx
  pop ebx
ENDM

m_pipe MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _pipe
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_popen MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _popen
  pop ebx
  pop ebx
  pop ebx
ENDM

m_putch MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _putch
  pop ebx
  pop ebx
ENDM

m_putenv MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _putenv
  pop ebx
  pop ebx
ENDM

m_putw MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _putw
  pop ebx
  pop ebx
  pop ebx
ENDM

m_putws MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _putws
  pop ebx
  pop ebx
ENDM

m_read MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _read
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_rmdir MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _rmdir
  pop ebx
  pop ebx
ENDM

m_rmtmp MACRO
  call _rmtmp
ENDM

m_rotl MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _rotl
  pop ebx
  pop ebx
  pop ebx
ENDM

m_rotr MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _rotr
  pop ebx
  pop ebx
  pop ebx
ENDM

m_scalb MACRO qword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call _scalb
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_searchenv MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _searchenv
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_setmaxstdio MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _setmaxstdio
  pop ebx
  pop ebx
ENDM

m_setmbcp MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _setmbcp
  pop ebx
  pop ebx
ENDM

m_setmode MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _setmode
  pop ebx
  pop ebx
  pop ebx
ENDM

m_sopen MACRO dword0:REQ, dword1:REQ, dword2:REQ, dword3:REQ
  push ebx
  mov ebx,dword3
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _sopen
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_splitpath MACRO dword0:REQ, dword1:REQ, dword2:REQ, dword3:REQ, dword4:REQ
  push ebx
  mov ebx,dword4
  push ebx
  mov ebx,dword3
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _splitpath
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_stat MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _stat
  pop ebx
  pop ebx
  pop ebx
ENDM

m_stati64 MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _stati64
  pop ebx
  pop ebx
  pop ebx
ENDM

m_strdate MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _strdate
  pop ebx
  pop ebx
ENDM

m_strdup MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _strdup
  pop ebx
  pop ebx
ENDM

m_strerror MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _strerror
  pop ebx
  pop ebx
ENDM

m_stricmp MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _stricmp
  pop ebx
  pop ebx
  pop ebx
ENDM

m_stricoll MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _stricoll
  pop ebx
  pop ebx
  pop ebx
ENDM

m_strlwr MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _strlwr
  pop ebx
  pop ebx
ENDM

m_strncoll MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _strncoll
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_strnicmp MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _strnicmp
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_strnicoll MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _strnicoll
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_strnset MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _strnset
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_strrev MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _strrev
  pop ebx
  pop ebx
ENDM

m_strset MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _strset
  pop ebx
  pop ebx
  pop ebx
ENDM

m_strtime MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _strtime
  pop ebx
  pop ebx
ENDM

m_strupr MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _strupr
  pop ebx
  pop ebx
ENDM

m_swab MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _swab
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_tell MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _tell
  pop ebx
  pop ebx
ENDM

m_telli64 MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _telli64
  pop ebx
  pop ebx
ENDM

m_tempnam MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _tempnam
  pop ebx
  pop ebx
  pop ebx
ENDM

m_tolower MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _tolower
  pop ebx
  pop ebx
ENDM

m_toupper MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _toupper
  pop ebx
  pop ebx
ENDM

m_ui64toa MACRO qword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call _ui64toa
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_ui64tow MACRO qword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call _ui64tow
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_ultoa MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _ultoa
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_ultow MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _ultow
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_umask MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _umask
  pop ebx
  pop ebx
ENDM

m_ungetch MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _ungetch
  pop ebx
  pop ebx
ENDM

m_unlink MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _unlink
  pop ebx
  pop ebx
ENDM

m_utime MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _utime
  pop ebx
  pop ebx
  pop ebx
ENDM

m_vsnprintf MACRO dword0:REQ, dword1:REQ, dword2:REQ, dword3:REQ
  push ebx
  mov ebx,dword3
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _vsnprintf
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_vsnwprintf MACRO dword0:REQ, dword1:REQ, dword2:REQ, dword3:REQ
  push ebx
  mov ebx,dword3
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _vsnwprintf
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_waccess MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _waccess
  pop ebx
  pop ebx
  pop ebx
ENDM

m_wasctime MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _wasctime
  pop ebx
  pop ebx
ENDM

m_wchdir MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _wchdir
  pop ebx
  pop ebx
ENDM

m_wchmod MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _wchmod
  pop ebx
  pop ebx
  pop ebx
ENDM

m_wcreat MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _wcreat
  pop ebx
  pop ebx
  pop ebx
ENDM

m_wcsdup MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _wcsdup
  pop ebx
  pop ebx
ENDM

m_wcsicmp MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _wcsicmp
  pop ebx
  pop ebx
  pop ebx
ENDM

m_wcsicoll MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _wcsicoll
  pop ebx
  pop ebx
  pop ebx
ENDM

m_wcslwr MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _wcslwr
  pop ebx
  pop ebx
ENDM

m_wcsncoll MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _wcsncoll
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_wcsnicmp MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _wcsnicmp
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_wcsnicoll MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _wcsnicoll
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_wcsnset MACRO dword0:REQ, word1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov bx,word1
  push bx
  mov ebx,dword0
  push ebx
  call _wcsnset
  pop ebx
  pop bx
  pop ebx
  pop ebx
ENDM

m_wcsset MACRO dword0:REQ, word1:REQ
  push ebx
  mov bx,word1
  push bx
  mov ebx,dword0
  push ebx
  call _wcsset
  pop ebx
  pop bx
  pop ebx
ENDM

m_wcsupr MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _wcsupr
  pop ebx
  pop ebx
ENDM

m_wctime MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _wctime
  pop ebx
  pop ebx
ENDM

m_wfdopen MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _wfdopen
  pop ebx
  pop ebx
  pop ebx
ENDM

m_wfindfirst MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _wfindfirst
  pop ebx
  pop ebx
  pop ebx
ENDM

m_wfindfirsti64 MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _wfindfirsti64
  pop ebx
  pop ebx
  pop ebx
ENDM

m_wfindnext MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _wfindnext
  pop ebx
  pop ebx
  pop ebx
ENDM

m_wfindnexti64 MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _wfindnexti64
  pop ebx
  pop ebx
  pop ebx
ENDM

m_wfopen MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _wfopen
  pop ebx
  pop ebx
  pop ebx
ENDM

m_wfreopen MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _wfreopen
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_wfsopen MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _wfsopen
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_wfullpath MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _wfullpath
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_wgetcwd MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _wgetcwd
  pop ebx
  pop ebx
  pop ebx
ENDM

m_wgetdcwd MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _wgetdcwd
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_wgetenv MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _wgetenv
  pop ebx
  pop ebx
ENDM

m_wmakepath MACRO dword0:REQ, dword1:REQ, dword2:REQ, dword3:REQ, dword4:REQ
  push ebx
  mov ebx,dword4
  push ebx
  mov ebx,dword3
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _wmakepath
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_wmkdir MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _wmkdir
  pop ebx
  pop ebx
ENDM

m_wmktemp MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _wmktemp
  pop ebx
  pop ebx
ENDM

m_wopen MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _wopen
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_wperror MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _wperror
  pop ebx
  pop ebx
ENDM

m_wpopen MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _wpopen
  pop ebx
  pop ebx
  pop ebx
ENDM

m_wputenv MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _wputenv
  pop ebx
  pop ebx
ENDM

m_wremove MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _wremove
  pop ebx
  pop ebx
ENDM

m_wrename MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _wrename
  pop ebx
  pop ebx
  pop ebx
ENDM

m_write MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _write
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_wrmdir MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _wrmdir
  pop ebx
  pop ebx
ENDM

m_wsearchenv MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _wsearchenv
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_wsetlocale MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _wsetlocale
  pop ebx
  pop ebx
  pop ebx
ENDM

m_wsopen MACRO dword0:REQ, dword1:REQ, dword2:REQ, dword3:REQ
  push ebx
  mov ebx,dword3
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _wsopen
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_wsplitpath MACRO dword0:REQ, dword1:REQ, dword2:REQ, dword3:REQ, dword4:REQ
  push ebx
  mov ebx,dword4
  push ebx
  mov ebx,dword3
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _wsplitpath
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

m_wstat MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _wstat
  pop ebx
  pop ebx
  pop ebx
ENDM

m_wstati64 MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _wstati64
  pop ebx
  pop ebx
  pop ebx
ENDM

m_wstrdate MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _wstrdate
  pop ebx
  pop ebx
ENDM

m_wstrtime MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _wstrtime
  pop ebx
  pop ebx
ENDM

m_wsystem MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _wsystem
  pop ebx
  pop ebx
ENDM

m_wtempnam MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _wtempnam
  pop ebx
  pop ebx
  pop ebx
ENDM

m_wtmpnam MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _wtmpnam
  pop ebx
  pop ebx
ENDM

m_wtoi MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _wtoi
  pop ebx
  pop ebx
ENDM

m_wtoi64 MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _wtoi64
  pop ebx
  pop ebx
ENDM

m_wtol MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _wtol
  pop ebx
  pop ebx
ENDM

m_wunlink MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call _wunlink
  pop ebx
  pop ebx
ENDM

m_wutime MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call _wutime
  pop ebx
  pop ebx
  pop ebx
ENDM

mabort MACRO
  call abort
ENDM

mabs MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call abs
  pop ebx
  pop ebx
ENDM

macos MACRO qword0:REQ
  push ebx
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call acos
  pop ebx
  pop ebx
  pop ebx
ENDM

masctime MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call asctime
  pop ebx
  pop ebx
ENDM

masin MACRO qword0:REQ
  push ebx
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call asin
  pop ebx
  pop ebx
  pop ebx
ENDM

matan MACRO qword0:REQ
  push ebx
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call atan
  pop ebx
  pop ebx
  pop ebx
ENDM

matan2 MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call atan2
  pop ebx
  pop ebx
  pop ebx
ENDM

matexit MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call atexit
  pop ebx
  pop ebx
ENDM

matof MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call atof
  pop ebx
  pop ebx
ENDM

matoi MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call atoi
  pop ebx
  pop ebx
ENDM

matol MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call atol
  pop ebx
  pop ebx
ENDM

mbsearch MACRO dword0:REQ, dword1:REQ, dword2:REQ, dword3:REQ, dword4:REQ
  push ebx
  mov ebx,dword4
  push ebx
  mov ebx,dword3
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call bsearch
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mcalloc MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call calloc
  pop ebx
  pop ebx
  pop ebx
ENDM

mceil MACRO qword0:REQ
  push ebx
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call ceil
  pop ebx
  pop ebx
  pop ebx
ENDM

mclearerr MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call clearerr
  pop ebx
  pop ebx
ENDM

mclock MACRO
  call clock
ENDM

mcos MACRO qword0:REQ
  push ebx
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call cos
  pop ebx
  pop ebx
  pop ebx
ENDM

mcosh MACRO qword0:REQ
  push ebx
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call cosh
  pop ebx
  pop ebx
  pop ebx
ENDM

mctime MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call ctime
  pop ebx
  pop ebx
ENDM

mdifftime MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call difftime
  pop ebx
  pop ebx
  pop ebx
ENDM

mdiv MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call div
  pop ebx
  pop ebx
  pop ebx
ENDM

mexit MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call exit
  pop ebx
  pop ebx
ENDM

mexp MACRO qword0:REQ
  push ebx
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call exp
  pop ebx
  pop ebx
  pop ebx
ENDM

mfabs MACRO qword0:REQ
  push ebx
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call fabs
  pop ebx
  pop ebx
  pop ebx
ENDM

mfclose MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call fclose
  pop ebx
  pop ebx
ENDM

mfeof MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call feof
  pop ebx
  pop ebx
ENDM

mferror MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call ferror
  pop ebx
  pop ebx
ENDM

mfflush MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call fflush
  pop ebx
  pop ebx
ENDM

mfgetc MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call fgetc
  pop ebx
  pop ebx
ENDM

mfgetpos MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call fgetpos
  pop ebx
  pop ebx
  pop ebx
ENDM

mfgets MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call fgets
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mfgetwc MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call fgetwc
  pop ebx
  pop ebx
ENDM

mfgetws MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call fgetws
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mfloor MACRO qword0:REQ
  push ebx
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call floor
  pop ebx
  pop ebx
  pop ebx
ENDM

mfmod MACRO qword0:REQ, qword1:REQ
  push ebx
  lea ebx,qword1
  push [ebx+4]
  push [ebx]
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call fmod
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mfopen MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call fopen
  pop ebx
  pop ebx
  pop ebx
ENDM

mfputc MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call fputc
  pop ebx
  pop ebx
  pop ebx
ENDM

mfputs MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call fputs
  pop ebx
  pop ebx
  pop ebx
ENDM

mfputwc MACRO word0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov bx,word0
  push bx
  call fputwc
  pop bx
  pop ebx
  pop ebx
ENDM

mfputws MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call fputws
  pop ebx
  pop ebx
  pop ebx
ENDM

mfread MACRO dword0:REQ, dword1:REQ, dword2:REQ, dword3:REQ
  push ebx
  mov ebx,dword3
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call fread
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mfree MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call free
  pop ebx
  pop ebx
ENDM

mfreopen MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call freopen
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mfrexp MACRO qword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call frexp
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mfseek MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call fseek
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mfsetpos MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call fsetpos
  pop ebx
  pop ebx
  pop ebx
ENDM

mftell MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call ftell
  pop ebx
  pop ebx
ENDM

mfwrite MACRO dword0:REQ, dword1:REQ, dword2:REQ, dword3:REQ
  push ebx
  mov ebx,dword3
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call fwrite
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mgetc MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call getc
  pop ebx
  pop ebx
ENDM

mgetchar MACRO
  call getchar
ENDM

mgetenv MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call getenv
  pop ebx
  pop ebx
ENDM

mgets MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call gets
  pop ebx
  pop ebx
ENDM

mgetwc MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call getwc
  pop ebx
  pop ebx
ENDM

mgetwchar MACRO
  call getwchar
ENDM

mgmtime MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call gmtime
  pop ebx
  pop ebx
ENDM

misalnum MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call isalnum
  pop ebx
  pop ebx
ENDM

misalpha MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call isalpha
  pop ebx
  pop ebx
ENDM

miscntrl MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call iscntrl
  pop ebx
  pop ebx
ENDM

misdigit MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call isdigit
  pop ebx
  pop ebx
ENDM

misgraph MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call isgraph
  pop ebx
  pop ebx
ENDM

misleadbyte MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call isleadbyte
  pop ebx
  pop ebx
ENDM

mislower MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call islower
  pop ebx
  pop ebx
ENDM

misprint MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call isprint
  pop ebx
  pop ebx
ENDM

mispunct MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call ispunct
  pop ebx
  pop ebx
ENDM

misspace MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call isspace
  pop ebx
  pop ebx
ENDM

misupper MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call isupper
  pop ebx
  pop ebx
ENDM

miswalnum MACRO word0:REQ
  push ebx
  mov bx,word0
  push bx
  call iswalnum
  pop bx
  pop ebx
ENDM

miswalpha MACRO word0:REQ
  push ebx
  mov bx,word0
  push bx
  call iswalpha
  pop bx
  pop ebx
ENDM

miswascii MACRO word0:REQ
  push ebx
  mov bx,word0
  push bx
  call iswascii
  pop bx
  pop ebx
ENDM

miswcntrl MACRO word0:REQ
  push ebx
  mov bx,word0
  push bx
  call iswcntrl
  pop bx
  pop ebx
ENDM

miswctype MACRO word0:REQ, word1:REQ
  push ebx
  mov bx,word1
  push bx
  mov bx,word0
  push bx
  call iswctype
  pop bx
  pop bx
  pop ebx
ENDM

miswdigit MACRO word0:REQ
  push ebx
  mov bx,word0
  push bx
  call iswdigit
  pop bx
  pop ebx
ENDM

miswgraph MACRO word0:REQ
  push ebx
  mov bx,word0
  push bx
  call iswgraph
  pop bx
  pop ebx
ENDM

miswlower MACRO word0:REQ
  push ebx
  mov bx,word0
  push bx
  call iswlower
  pop bx
  pop ebx
ENDM

miswprint MACRO word0:REQ
  push ebx
  mov bx,word0
  push bx
  call iswprint
  pop bx
  pop ebx
ENDM

miswpunct MACRO word0:REQ
  push ebx
  mov bx,word0
  push bx
  call iswpunct
  pop bx
  pop ebx
ENDM

miswspace MACRO word0:REQ
  push ebx
  mov bx,word0
  push bx
  call iswspace
  pop bx
  pop ebx
ENDM

miswupper MACRO word0:REQ
  push ebx
  mov bx,word0
  push bx
  call iswupper
  pop bx
  pop ebx
ENDM

miswxdigit MACRO word0:REQ
  push ebx
  mov bx,word0
  push bx
  call iswxdigit
  pop bx
  pop ebx
ENDM

misxdigit MACRO word0:REQ
  push ebx
  mov bx,word0
  push bx
  call isxdigit
  pop bx
  pop ebx
ENDM

mlabs MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call labs
  pop ebx
  pop ebx
ENDM

mldexp MACRO qword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call ldexp
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mldiv MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call ldiv
  pop ebx
  pop ebx
  pop ebx
ENDM

mlocaleconv MACRO
  call localeconv
ENDM

mlocaltime MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call localtime
  pop ebx
  pop ebx
ENDM

mlog MACRO qword0:REQ
  push ebx
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call log
  pop ebx
  pop ebx
  pop ebx
ENDM

mlog10 MACRO qword0:REQ
  push ebx
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call log10
  pop ebx
  pop ebx
  pop ebx
ENDM

mmalloc MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call malloc
  pop ebx
  pop ebx
ENDM

mmblen MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call mblen
  pop ebx
  pop ebx
  pop ebx
ENDM

mmbstowcs MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call mbstowcs
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mmbtowc MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call mbtowc
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mmemchr MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call memchr
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mmemcmp MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call memcmp
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mmemcpy MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call memcpy
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mmemmove MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call memmove
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mmemset MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call memset
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mmktime MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call mktime
  pop ebx
  pop ebx
ENDM

mmodf MACRO qword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call modf
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mperror MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call perror
  pop ebx
  pop ebx
ENDM

mpow MACRO qword0:REQ, qword1:REQ
  push ebx
  lea ebx,qword1
  push [ebx+4]
  push [ebx]
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call pow
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mputc MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call putc
  pop ebx
  pop ebx
  pop ebx
ENDM

mputchar MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call putchar
  pop ebx
  pop ebx
ENDM

mputs MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call puts
  pop ebx
  pop ebx
ENDM

mputwc MACRO word0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov bx,word0
  push bx
  call putwc
  pop bx
  pop ebx
  pop ebx
ENDM

mputwchar MACRO word0:REQ
  push ebx
  mov bx,word0
  push bx
  call putwchar
  pop bx
  pop ebx
ENDM

mqsort MACRO dword0:REQ, dword1:REQ, dword2:REQ, dword3:REQ
  push ebx
  mov ebx,dword3
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call qsort
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mraise MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call raise
  pop ebx
  pop ebx
ENDM

mrand MACRO
  call rand
ENDM

mrealloc MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call realloc
  pop ebx
  pop ebx
  pop ebx
ENDM

mremove MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call remove
  pop ebx
  pop ebx
ENDM

mrename MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call rename
  pop ebx
  pop ebx
  pop ebx
ENDM

mrewind MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call rewind
  pop ebx
  pop ebx
ENDM

msetbuf MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call setbuf
  pop ebx
  pop ebx
  pop ebx
ENDM

msetlocale MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call setlocale
  pop ebx
  pop ebx
  pop ebx
ENDM

msetvbuf MACRO dword0:REQ, dword1:REQ, dword2:REQ, dword3:REQ
  push ebx
  mov ebx,dword3
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call setvbuf
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

msin MACRO qword0:REQ
  push ebx
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call sin
  pop ebx
  pop ebx
  pop ebx
ENDM

msinh MACRO qword0:REQ
  push ebx
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call sinh
  pop ebx
  pop ebx
  pop ebx
ENDM

msqrt MACRO qword0:REQ
  push ebx
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call sqrt
  pop ebx
  pop ebx
  pop ebx
ENDM

msrand MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call srand
  pop ebx
  pop ebx
ENDM

mstrcat MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call strcat
  pop ebx
  pop ebx
  pop ebx
ENDM

mstrchr MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call strchr
  pop ebx
  pop ebx
  pop ebx
ENDM

mstrcmp MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call strcmp
  pop ebx
  pop ebx
  pop ebx
ENDM

mstrcoll MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call strcoll
  pop ebx
  pop ebx
  pop ebx
ENDM

mstrcpy MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call strcpy
  pop ebx
  pop ebx
  pop ebx
ENDM

mstrcspn MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call strcspn
  pop ebx
  pop ebx
  pop ebx
ENDM

mstrerror MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call strerror
  pop ebx
  pop ebx
ENDM

mstrftime MACRO dword0:REQ, dword1:REQ, dword2:REQ, dword3:REQ
  push ebx
  mov ebx,dword3
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call strftime
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mstrlen MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call strlen
  pop ebx
  pop ebx
ENDM

mstrncat MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call strncat
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mstrncmp MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call strncmp
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mstrncpy MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call strncpy
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mstrpbrk MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call strpbrk
  pop ebx
  pop ebx
  pop ebx
ENDM

mstrrchr MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call strrchr
  pop ebx
  pop ebx
  pop ebx
ENDM

mstrspn MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call strspn
  pop ebx
  pop ebx
  pop ebx
ENDM

mstrstr MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call strstr
  pop ebx
  pop ebx
  pop ebx
ENDM

mstrtod MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call strtod
  pop ebx
  pop ebx
  pop ebx
ENDM

mstrtok MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call strtok
  pop ebx
  pop ebx
  pop ebx
ENDM

mstrtol MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call strtol
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mstrtoul MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call strtoul
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mstrxfrm MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call strxfrm
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

msystem MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call system
  pop ebx
  pop ebx
ENDM

mtan MACRO qword0:REQ
  push ebx
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call tan
  pop ebx
  pop ebx
  pop ebx
ENDM

mtanh MACRO qword0:REQ
  push ebx
  lea ebx,qword0
  push [ebx+4]
  push [ebx]
  call tanh
  pop ebx
  pop ebx
  pop ebx
ENDM

mtime MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call time
  pop ebx
  pop ebx
ENDM

mtmpfile MACRO
  call tmpfile
ENDM

mtmpnam MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call tmpnam
  pop ebx
  pop ebx
  pop ebx
ENDM

mtolower MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call tolower
  pop ebx
  pop ebx
ENDM

mtoupper MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call toupper
  pop ebx
  pop ebx
ENDM

mtowlower MACRO word0:REQ
  push ebx
  mov bx,word0
  push bx
  call towlower
  pop bx
  pop ebx
ENDM

mtowupper MACRO word0:REQ
  push ebx
  mov bx,word0
  push bx
  call towupper
  pop bx
  pop ebx
ENDM

mungetc MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call ungetc
  pop ebx
  pop ebx
  pop ebx
ENDM

mungetwc MACRO word0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov bx,word0
  push bx
  call ungetwc
  pop bx
  pop ebx
  pop ebx
ENDM

mvfprintf MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call vfprintf
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mvfwprintf MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call vfwprintf
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mvprintf MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call vprintf
  pop ebx
  pop ebx
  pop ebx
ENDM

mvsprintf MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call vsprintf
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mvswprintf MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call vswprintf
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mvwprintf MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call vwprintf
  pop ebx
  pop ebx
  pop ebx
ENDM

mwcscat MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call wcscat
  pop ebx
  pop ebx
  pop ebx
ENDM

mwcschr MACRO dword0:REQ, word1:REQ
  push ebx
  mov bx,word1
  push bx
  mov ebx,dword0
  push ebx
  call wcschr
  pop ebx
  pop bx
  pop ebx
ENDM

mwcscmp MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call wcscmp
  pop ebx
  pop ebx
  pop ebx
ENDM

mwcscoll MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call wcscoll
  pop ebx
  pop ebx
  pop ebx
ENDM

mwcscpy MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call wcscpy
  pop ebx
  pop ebx
  pop ebx
ENDM

mwcscspn MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call wcscspn
  pop ebx
  pop ebx
  pop ebx
ENDM

mwcsftime MACRO dword0:REQ, dword1:REQ, dword2:REQ, dword3:REQ
  push ebx
  mov ebx,dword3
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call wcsftime
  pop ebx
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mwcslen MACRO dword0:REQ
  push ebx
  mov ebx,dword0
  push ebx
  call wcslen
  pop ebx
  pop ebx
ENDM

mwcsncat MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call wcsncat
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mwcsncmp MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call wcsncmp
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mwcsncpy MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call wcsncpy
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mwcspbrk MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call wcspbrk
  pop ebx
  pop ebx
  pop ebx
ENDM

mwcsrchr MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call wcsrchr
  pop ebx
  pop ebx
  pop ebx
ENDM

mwcsspn MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call wcsspn
  pop ebx
  pop ebx
  pop ebx
ENDM

mwcsstr MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call wcsstr
  pop ebx
  pop ebx
  pop ebx
ENDM

mwcstod MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call wcstod
  pop ebx
  pop ebx
  pop ebx
ENDM

mwcstok MACRO dword0:REQ, dword1:REQ
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call wcstok
  pop ebx
  pop ebx
  pop ebx
ENDM

mwcstol MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call wcstol
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mwcstombs MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call wcstombs
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mwcstoul MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call wcstoul
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mwcsxfrm MACRO dword0:REQ, dword1:REQ, dword2:REQ
  push ebx
  mov ebx,dword2
  push ebx
  mov ebx,dword1
  push ebx
  mov ebx,dword0
  push ebx
  call wcsxfrm
  pop ebx
  pop ebx
  pop ebx
  pop ebx
ENDM

mwctomb MACRO dword0:REQ, word1:REQ
  push ebx
  mov bx,word1
  push bx
  mov ebx,dword0
  push ebx
  call wctomb
  pop ebx
  pop bx
  pop ebx
ENDM

